Subject: bug#75139: closed (Re: [bug#75139] [PATCH] fix guile-dbi and guile-dbd-* to use guile 3)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 27 Jan 2025 13:43:02 +0000

Your bug report

#75139: [PATCH] fix guile-dbi and guile-dbd-* to use guile 3

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
75139: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75139
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#75139] [PATCH] fix guile-dbi and guile-dbd-* to use guile 3
From: Ludovic Courtès <[email-masked]>
To: Josep Bigorra <[email-masked]>
Cc: [email-masked]
Date: Mon, 27 Jan 2025 14:42:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Bon dia Josep,

Josep Bigorra <[email-masked]> skribis:

> From 1cb65c8960b1c738d26eca0800602e6118b74e0e Mon Sep 17 00:00:00 2001
> Message-ID: <1[email-masked]>
> From: Josep Bigorra <[email-masked]>
> Date: Fri, 27 Dec 2024 13:13:55 +0100
> Subject: [PATCH] upgrade guile-dbi (and guile-dbd-*) to Guile 3.0

I added a commit log that follows our conventions and applied it.

Moltes gràcies! :-)

Ludo’.

Subject: [PATCH] fix guile-dbi and guile-dbd-* to use guile 3
From: Josep Bigorra <[email-masked]>
To: [email-masked]
Date: Fri, 27 Dec 2024 13:15:20 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hey so I was busy with Guile and connecting to databases. I noticed
that guile-dbi and guile-dbd-* are depending on Guile-2 without a
reason for that. Changing to 3 did cause some warnings/errors in the
test phase, which I address in this patch.
I noticed that 2.1.9 has some problems with autoconf and configure, so
I suggest we stay at 2.1.8 while we figure it out.
Please close this one btw: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=75136

Thanks in advance,
From 1cb65c8960b1c738d26eca0800602e6118b74e0e Mon Sep 17 00:00:00 2001
Message-ID: <1[email-masked]>
From: Josep Bigorra <[email-masked]>
Date: Fri, 27 Dec 2024 13:13:55 +0100
Subject: [PATCH] upgrade guile-dbi (and guile-dbd-*) to Guile 3.0

---
 gnu/packages/guile-xyz.scm | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/guile-xyz.scm b/gnu/packages/guile-xyz.scm
index 06667c09..ca43c281 100644
--- a/gnu/packages/guile-xyz.scm
+++ b/gnu/packages/guile-xyz.scm
@@ -51,6 +51,7 @@
 ;;; Copyright © 2024 Artyom Bologov <[email-masked]>
 ;;; Copyright © 2024 Felix Lechner <[email-masked]>
 ;;; Copyright © 2024 Alec Barreto <[email-masked]>
+;;; Copyright © 2024 Josep Bigorra <[email-masked]>
 ;;;
 ;;; This file is part of GNU Guix.
 ;;;
@@ -1983,6 +1984,7 @@ (define-public guile-dbi
                   ,@%default-gnu-modules)
        #:imported-modules ((guix build guile-build-system)
                            ,@%default-gnu-imported-modules)
+       #:make-flags '("LDFLAGS=\"-Wl,-allow-multiple-definition\"")
        #:configure-flags
        (list (string-append
               "--with-guile-site-dir=" %output "/share/guile/site/"
@@ -2004,9 +2006,9 @@ (define-public guile-dbi
                     (ext (string-append out "/lib/libguile-dbi")))
                (substitute* dbi.scm (("libguile-dbi") ext))))))))
     (native-inputs
-     (list autoconf automake libtool perl texinfo))
+     (list autoconf automake libtool perl texinfo libltdl))
     (propagated-inputs
-     (list guile-2.2))
+     (list guile-3.0))
     (synopsis "Guile database abstraction layer")
     (home-page "https://github.com/opencog/guile-dbi")
     (description
-- 
2.46.0